<script lang="ts" setup>
import type { Comment } from '~/entities';

const emit = defineEmits<{
  submit: [comment:Comment]
}>();

const comment = ref<Comment>({
  content: ''
})
</script>

<template>
  <form @submit.prevent="emit('submit', comment)">
    <label>
      Comment
      <textarea class="form-control" v-model="comment.content"></textarea>
    </label>
    <button class="btn btn-primary">Add</button>
  </form>
</template>

<style scoped></style>
